# Uses of Class
javax.swing.event.HyperlinkEvent.EventType

Packages that use HyperlinkEvent.EventType
Package
Description
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of HyperlinkEvent.EventType in javax.swing.event

Fields in javax.swing.event declared as HyperlinkEvent.EventType
Modifier and Type
Field
Description
`static final HyperlinkEvent.EventType`
HyperlinkEvent.EventType.`ACTIVATED`
Activated type.
`static final HyperlinkEvent.EventType`
HyperlinkEvent.EventType.`ENTERED`
Entered type.
`static final HyperlinkEvent.EventType`
HyperlinkEvent.EventType.`EXITED`
Exited type.
Methods in javax.swing.event that return HyperlinkEvent.EventType
Modifier and Type
Method
Description
`HyperlinkEvent.EventType`
HyperlinkEvent.`getEventType()`
Gets the type of event.
Constructors in javax.swing.event with parameters of type HyperlinkEvent.EventType
Modifier
Constructor
Description
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u)`
Creates a new object representing a hypertext link event.
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc)`
Creates a new object representing a hypertext link event.
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc, Element sourceElement)`
Creates a new object representing a hypertext link event.
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc, Element sourceElement, InputEvent inputEvent)`
Creates a new object representing a hypertext link event.

## Uses of HyperlinkEvent.EventType in javax.swing.text.html

Constructors in javax.swing.text.html with parameters of type HyperlinkEvent.EventType
Modifier
Constructor
Description
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)`
Creates a new object representing a html frame hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)`
Creates a new object representing a hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)`
Creates a new object representing a hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)`
Creates a new object representing a hypertext link event.
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)`
Creates a new object representing a hypertext link event.